## harp transform sign

Sign the given value with a transformer

```
harp transform sign [flags]
```

### Options

```
      --detached        Returns the signature only
      --deterministic   Use deterministic signature algorithm variant (if key permits)
  -h, --help            help for sign
      --in string       Input path ('-' for stdin or filename) (default "-")
      --key string      Transformer key
      --out string      Output path ('-' for stdout or filename) (default "-")
      --pre-hashed      The input is already pre-hashed
```

### SEE ALSO

* [harp transform](harp_transform.md)	 - Transform input value using encryption transformers

